export declare function setColor({ accessToken }: {
    accessToken: string;
}): Promise<{
    group: string[];
    colorSet: Record<string, string>;
}>;

export declare function setIcon({ accessToken }: {
    accessToken: string;
}): Promise<{
    size: TSizeReturnType;
    icon: {
        [k: string]: string;
    };
}>;

export declare function setTypo({ accessToken }: {
    accessToken: string;
}): Promise<Record<string, TTypeStyle>>;

declare type TSizeName = 'xxs' | 'xs' | 's' | 'm' | 'l' | 'xl' | 'xxl' | 'xxxl';

declare type TSizeReturnType = {
    [key in TSizeName]: {
        width: number;
        height: number;
    };
};

declare interface TTypeStyle {
    fontFamily: string;
    fontPostScriptName: string;
    fontWeight: number;
    fontSize: number;
    textAlignHorizontal: string;
    textAlignVertical: string;
    letterSpacing: number;
    lineHeightPx: number;
}

export { }
